/* $Cambridge: hermes/src/prayer/prayer/mymutex.h,v 1.1 2005/01/06 12:24:45 dpc22 Exp $ */

/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2004 */
/* See the file NOTICE for conditions of use and distribution. */

struct mymutex;  /* Opaque, implementation dependant */

struct mymutex *
mymutex_create(struct pool *pool, char *lock_dir, char *name);

void
mymutex_free(struct mymutex *mymutex);

BOOL
mymutex_slave_init(struct mymutex *mymutex);

void
mymutex_slave_cleanup(struct mymutex *mymutex);

BOOL
mymutex_on(struct mymutex *mymutex, int timeout);

BOOL
mymutex_off(struct mymutex *mymutex);

