/* $Cambridge: hermes/src/prayer/prayer/os.c,v 1.1.1.1 2003/04/15 13:00:03 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2002 */
/* See the file NOTICE for conditions of use and distribution. */

#include <sys/param.h>

/* Solaris under GCC */
#if sun
#  if __svr4__
#  define SOLARIS  1
#  endif
#endif

/* Solaris under SunWSPro CC */
#if __sun
#  if __SVR4
#  define SOLARIS  1
#  endif
#endif

#ifdef __linux__
#include "os_linux.c"
#elif (defined(SOLARIS))
#include "os_solaris.c"
#elif (defined(BSD) && BSD >= 199306)
#include "os_bsd.c"
#else
#error "No support for this operating system yet. Sorry!"
#endif
