/* $Cambridge: hermes/src/prayer/prayer/cmd_action_stub.c,v 1.1.1.1 2003/04/15 13:00:03 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2002 */
/* See the file NOTICE for conditions of use and distribution. */

#include "prayer_session.h"

void cmd_action_stub(struct session *session)
{
    struct request *request = session->request;
    struct buffer *b = request->write_buffer;
    char *item;
    char *help_item = memblock_string(session->last_help);

    item = memblock_string(session->last_help);

    /* Title bar */
    html_help_start(session, b, "Action stub");
    html_banner_toolbar(session, b,
                        pool_strcat(request->pool, "action_stub/",
                                    help_item), 0);

    /* Body */
    bprintf(b,
            "<h1 align=\"center\">Help Text: Form Action Stub</h1>" CRLF);

    bputs(b, "You weren't supposed to click that:" CRLF);
    bputs(b, "It was just an example!." CRLF);

    bputs(b, "<br>" CRLF);
    html_textlink_session_table(session, b,
                                pool_strcat(request->pool, "help/",
                                            help_item),
                                "Go Back to Help Page");

    html_end(b);
    response_html(request, 200);        /* Success */
}
