/* $Cambridge: hermes/src/prayer/prayer/common.h,v 1.7 2004/11/26 14:35:38 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2002 */
/* See the file NOTICE for conditions of use and distribution. */

/* Useful constants used by several different files */

/* Prayer Version numbers for frontend and backend code */
#define VERSION_PRAYER  "1.0.12"
#define VERSION_SESSION "1.0.12"

/* Common character sequences */

#define CR   "\015"
#define LF   "\012"
#define CRLF "\015\012"

/* Bool */
typedef int BOOL;

#ifndef NIL
#define NIL (0)
#endif

#ifndef T
#define T   (1)
#endif

/* Fix ctype.h macros. */
#define UC (unsigned char)
#define Uisspace(c) isspace(UC(c))
#define Uisalpha(c) isalpha(UC(c))
#define Uisalnum(c) isalnum(UC(c))
#define Uisdigit(c) isdigit(UC(c))
#define Uiscntrl(c) iscntrl(UC(c))
#define Utoupper(c) toupper(UC(c))
#define Utolower(c) tolower(UC(c))

/* Allow direct connections to session server: build SSL into session server
 * if SSL enabled */
#undef ALLOW_DIRECT

/* Sort mode shared by prefs and msgmap */
typedef enum { ARRIVAL, DATE, FROM, SUBJECT, TO, CC, SIZE,
    REFERENCES, ORDEREDSUBJECT
} SORTMODE;
