/* $Cambridge: hermes/src/prayer/prayer/dirlist.h,v 1.1.1.1 2003/04/15 13:00:03 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2002 */
/* See the file NOTICE for conditions of use and distribution. */

/* Directory list for single directory. Companion structure to dircache */

struct dirlist {
    struct dirlist *next;       /* Linked list */
    char *name;                 /* Name of directory entry */
    BOOL isdir;                 /* T => directory entry is itself a directory */
};

struct dirlist *dirlist_create(struct pool *p);

void dirlist_free(struct dircache *dc);

struct dirlist *dirlist_populate(struct session *session, char *name);

struct dirlist *dirlist_add(struct dircache *dc, char *name, BOOL isdir);

BOOL dirlist_remove(struct dircache *dc, char *name);

BOOL dirlist_filter_check(char *name, char *filter);
