/* $Cambridge: hermes/src/prayer/prayer/prayer_session.h,v 1.6 2004/03/31 20:42:07 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2002 */
/* See the file NOTICE for conditions of use and distribution. */

/* System header files needed by other headers */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <stdarg.h>
#include <time.h>
#include <ctype.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <sys/wait.h>
#include <syslog.h>
#include <pwd.h>
#include <grp.h>
#include <netdb.h>

extern int errno;               /* just in case */

#include "c-client.h"

#define  PRAYER_FULL_HDRS
#include "prayer_shared.h"

#include "cdb.h"

#include "session.h"
#include "session_config.h"
#include "session_streams.h"
#include "session_exchange.h"
#include "session_unix.h"
#include "session_inet.h"
#include "session_idle.h"
#include "session_server.h"
#include "addr.h"
#include "cmd.h"
#include "ml.h"
#include "mm.h"
#include "stream.h"
#include "dirlist.h"
#include "dircache.h"
#include "html.h"
#include "html_secure.h"
#include "draft.h"
#include "msg.h"
#include "msgmap.h"
#include "speller.h"

#include "abook.h"
#include "role.h"
#include "dictionary.h"
#include "prefs.h"
#include "options.h"
#include "rfc1522.h"
#include "banner.h"
#include "favourite.h"
#include "filter.h"
#include "sieve.h"
#include "account.h"
#include "account_msshell.h"
#include "account_sieve.h"
#include "account_support.h"
#include "checksum.h"
#include "wrap.h"
#include "portlist.h"
